import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_docker_is_installed(host):
    docker = host.package("docker")
    assert docker.is_installed


def test_docker_running_and_enabled(host):
    docker = host.service("docker")
    assert docker.is_running
    assert docker.is_enabled
