# sit-lnx.docker-engine

Install docker engine. Currently only overlay2 as storage engine is supported.

**Supported OS**

* RHEL7

### Role Variables

```yaml
---
dockerengine_package: docker
dockerengine_docker_group_enabled: False

dockerengine_secure_registries: []
dockerengine_insecure_registries: []
dockerengine_block_registries: []

# dockerengine_http_proxy: # defaults to not set
# dockerengine_https_proxy: # defaults to not set
# dockerengine_no_proxy: # defaults to not set

# dockerengine_storage_pvs: /dev/sdx # defaults to not set
dockerengine_storage_vg: vg_docker
dockerengine_storage_lv: lv_docker
dockerengine_storage_size: 100G
dockerengine_base_dir: /var/lib/docker

dockerengine_cli_options:
  - selinux-enabled
  - log-driver=journald
  - signature-verification=false

```

### Examples

#### Playbook

```yaml
---
- hosts: docker-engine

  roles:
    - sit-lnx.docker-engine
```

### Dependencies

* you need the `wrap` custom filter from

### Maintainer

[Robert Kaussow](https://gitea.rknet.org/xoxys)

### License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details
